#ifndef _CDCC_H_
#define _CDCC_H_

#include <sys/types.h>
#include <sys/stat.h>
#if 0
#include <string.h>
#include <stdlib.h>

#if defined(HAVE_DIRENT_H)
# include <dirent.h>
#else
# define dirent direct
# ifdef HAVE_SYS_NDIR_H
#  include <sys/ndir.h>
# endif
# ifdef HAVE_SYS_DIR_H
#  include <sys/dir.h>
# endif
# ifdef HAVE_NDIR_H
#  include <ndir.h>
# endif
#endif
#endif
/* local commands */
extern double cdcc_minspeed;

typedef struct {
	char *name;
	int (*function)(char *args, char *rest);
	char *help;
} local_cmd;

/* remote commands */
typedef struct {
	char *name;
	int (*function)(char *from, char *args);
	char *help;
} remote_cmd;

/* offer pack type */
typedef struct packtype {
	struct packtype *next;
	int num;
	char *file;
	char *desc;
	char *notes;
	int numfiles;
	int gets;
	int server;
	time_t timeadded;
	unsigned long size;
	double minspeed;
	char	*password;
} pack;

/* cdcc queue struct */
typedef struct queuetype {
	struct queuetype *next;
	char *nick;
	char *file;
	int numfiles;
	time_t time;
	char *desc;
	char *command;
	int num;
	int server;
} queue;
	
/* local command parser */
void cdcc(char *, char *, char *, char *);

/* remote message command parser */
char *msgcdcc(char *, char *, char *);

/* send a file from the queue */
void dcc_sendfrom_queue (void);

void cdcc_timer_offer (void);

/* publicly list offered packs */
int l_plist(char *, char *);


#endif
